API Reference

Brands

Brand management

List brands

GET
/v2/brands

Query Parameters

q?string
category_id?string
include?string

Comma-separated fields to include (e.g. 'profile')

limit?number
Default50
Range1 <= value <= 100
cursor?string

Cursor for pagination (from nextCursor)

sort?string

Sort field, prefix with - for descending

Default"name"

Response Body

application/json

curl -X GET "https://api.covala.com/v2/brands"
{
  "success": true,
  "data": [
    {
      "id": "string",
      "name": "string",
      "slug": "string",
      "logo_url": "string",
      "website_url": "string",
      "created_at": "string",
      "description": "string",
      "profile": {
        "quality_tier": "string",
        "country_of_origin": "string",
        "founded_year": 0,
        "parent_company": "string",
        "known_for": [
          "string"
        ],
        "warranty": {
          "standard_years": 0,
          "extended_available": true,
          "notes": "string"
        },
        "support_reputation": "string",
        "repairability": "string",
        "sustainability": {
          "property1": null,
          "property2": null
        },
        "price_position": "string",
        "target_audience": "string",
        "summary": "string",
        "property1": null,
        "property2": null
      }
    }
  ],
  "meta": {
    "requestId": "string",
    "timestamp": "string",
    "responseTime": 0,
    "version": "string",
    "cached": true
  },
  "pagination": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "page": 0,
    "cursor": "string",
    "hasMore": true,
    "nextCursor": "string",
    "prevCursor": "string"
  }
}

Get brand by slug

GET
/v2/brands/{slug}

Path Parameters

slug*string

Response Body

application/json

application/json

curl -X GET "https://api.covala.com/v2/brands/string"
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "logo_url": "string",
    "website_url": "string",
    "created_at": "string",
    "description": "string",
    "profile": {
      "quality_tier": "string",
      "country_of_origin": "string",
      "founded_year": 0,
      "parent_company": "string",
      "known_for": [
        "string"
      ],
      "warranty": {
        "standard_years": 0,
        "extended_available": true,
        "notes": "string"
      },
      "support_reputation": "string",
      "repairability": "string",
      "sustainability": {
        "property1": null,
        "property2": null
      },
      "price_position": "string",
      "target_audience": "string",
      "summary": "string",
      "property1": null,
      "property2": null
    }
  },
  "meta": {
    "requestId": "string",
    "timestamp": "string",
    "responseTime": 0,
    "version": "string",
    "cached": true
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string"
  }
}